[Setup]
AppName=Arnold Emulator
AppId={{8A04F14E-DB96-4DDE-B6BF-002B6866DB14}
AppVersion=1.0
VersionInfoVersion=1.0
DefaultDirName={pf}\Arnold Emulator
DefaultGroupName=Arnold Emulator
UninstallDisplayIcon={app}\arnold.exe
Compression=lzma2
SolidCompression=yes
OutputDir=userdocs:ArnoldInstaller
AppCopyright=Copyright (C) 2015 Kevin Thacker
AppPublisher=Kevin Thacker
AppPublisherURL=http://www.cpctech.org.uk
SourceDir="../../../exe/Release/arnold"
RestartIfNeededByRun=no

[Files]
Source: "../../../src/arngui/windows/vcredist_x86.exe"; DestDir: {tmp}; Flags: deleteafterinstall
Source: "arnold.exe"; DestDir: "{app}"
Source: "arnlogo.png"; DestDir: "{app}"
Source: "autostart.png"; DestDir: "{app}"
Source: "breakpoint.png"; DestDir: "{app}"
Source: "cart.png"; DestDir: "{app}"
Source: "cass.png"; DestDir: "{app}"
Source: "current.png"; DestDir: "{app}"
Source: "disk.png"; DestDir: "{app}"
Source: "debugger.png"; DestDir: "{app}"
Source: "disabledbreakpoint.png"; DestDir: "{app}"
Source: "rom.png"; DestDir: "{app}"
Source: "snapshotload.png"; DestDir: "{app}"
Source: "snapshotsave.png"; DestDir: "{app}"
Source: "roms.zip"; DestDir: "{app}"
Source: "GUIFrame.xrc"; DestDir: "{app}"
Source: "icons.dll"; DestDir: "{app}"
Source: "SDL2.dll"; DestDir: "{app}"
Source: "SDL2_image.dll"; DestDir: "{app}"
Source: "SDL2_ttf.dll"; DestDir: "{app}"
Source: "wxbase30u_net_vc120.dll"; DestDir: "{app}"
Source: "wxbase30u_vc120.dll"; DestDir: "{app}"
Source: "wxbase30u_xml_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_adv_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_aui_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_core_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_gl_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_html_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_media_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_propgrid_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_qa_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_ribbon_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_richtext_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_stc_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_webview_vc120.dll"; DestDir: "{app}"
Source: "wxmsw30u_xrc_vc120.dll"; DestDir: "{app}"
Source: "zlib1.dll"; DestDir: "{app}"

[Run]
Filename: "{tmp}\vcredist_x86.exe"; Parameters: "/q /norestart"

[Icons]
Name: "{group}\Arnold emulator"; Filename: "{app}\arnold.exe"
