#include <wx/dialog.h>
#include <wx/listctrl.h>

#ifndef wxOVERRIDE
#define wxOVERRIDE
#endif

#include "EmuFileType.h"

class MultifaceSettingsDialog : public wxDialog
{
public:
    MultifaceSettingsDialog(wxWindow *pParent);

    virtual bool TransferDataFromWindow() wxOVERRIDE;
    virtual bool TransferDataToWindow() wxOVERRIDE;
protected:
    EmuFileType m_RomFileType;
      wxListCtrl *GetListCtrl();
    void PerformUpdate();
    void InsertItem(const wxString &);

     void OnContextMenu(wxContextMenuEvent &event);
    void OnRomLoad(wxCommandEvent &event);
  void OnRomRemove(wxCommandEvent &event);
 //   void OnRomPickBuiltin(wxCommandEvent &event);
    DECLARE_EVENT_TABLE()

};

